import request from '@/utils/request'

// 查询注册用户信息列表
export function listUserinfo(query) {
  return request({
    url: '/baseinfo/userinfo/list',
    method: 'get',
    params: query
  })
}

// 查询注册用户信息详细
export function getUserinfo(userId) {
  return request({
    url: '/baseinfo/userinfo/' + userId,
    method: 'get'
  })
}

// 新增注册用户信息
export function addUserinfo(data) {
  return request({
    url: '/baseinfo/userinfo',
    method: 'post',
    data: data
  })
}

// 修改注册用户信息
export function updateUserinfo(data) {
  return request({
    url: '/baseinfo/userinfo',
    method: 'put',
    data: data
  })
}

// 删除注册用户信息
export function delUserinfo(userId) {
  return request({
    url: '/baseinfo/userinfo/' + userId,
    method: 'delete'
  })
}

// 导出注册用户信息
export function exportUserinfo(query) {
  return request({
    url: '/baseinfo/userinfo/export',
    method: 'get',
    params: query
  })
}
